Macro Align Working Plane to Camera/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Skrypt==")
(Created page with "==Użycie== * Przesuń widok do miejsca, na które chcesz spojrzeć * Uruchom makrodefinicję")
Line 16: Line 16:
This macro moves the current [[Draft SelectPlane|Draft Working Plane]] to the center of the current view. It is useful when you are working quite far from the grid center.
This macro moves the current [[Draft SelectPlane|Draft Working Plane]] to the center of the current view. It is useful when you are working quite far from the grid center.


==Usage==
==Użycie==
* Przesuń widok do miejsca, na które chcesz spojrzeć
* Move the view to the zone where you want to look at
* Uruchom makrodefinicję
* Run the macro


==Skrypt==
==Skrypt==

Revision as of 14:30, 11 September 2021

Other languages:

Macro Align Working Plane to Camera

Description
This macro moves the current Draft Working Plane to the center of the current view

Macro version: 1.0
Last modified: 2017-05-10
FreeCAD version: All
Download: ToolBar Icon
Author: yorik
Author
yorik
Download
ToolBar Icon
Links
Macro Version
1.0
Date last modified
2017-05-10
FreeCAD Version(s)
All
Default shortcut
None
See also
Makrodefinicja: Wyrównaj ujęcie widoku do płaszczyzny roboczej Macro Align Camera to Working Plane

Description

This macro moves the current Draft Working Plane to the center of the current view. It is useful when you are working quite far from the grid center.

Użycie

  • Przesuń widok do miejsca, na które chcesz spojrzeć
  • Uruchom makrodefinicję

Skrypt

ToolBar Icon

Macro_Align_Working_Plane_to_Camera.FCMacro

import FreeCAD,FreeCADGui
cam = FreeCAD.Vector(FreeCADGui.ActiveDocument.ActiveView.getCameraNode().position.getValue().getValue())
pos = FreeCAD.DraftWorkingPlane.projectPoint(cam)
FreeCAD.DraftWorkingPlane.position = pos
FreeCADGui.Snapper.setGrid()